#! /usr/bin/env python3.10

import yaml, os

def read_yaml_file(yaml_file = str):
    with open (yaml_file, "r") as yaml_file_read:
        prime_service = yaml.safe_load(yaml_file_read)
    return prime_service

def read_commit_id():
    pass

def create_project_in_folder():
    pass

def create_tar_file():
    pass

if __name__ == "__main__":
    script_folder = os.path.dirname(os.path.realpath(__file__))
    root_yaml_datei = script_folder + os.sep + "package_info.yml"
    yaml_input = read_yaml_file(root_yaml_datei)
    package_datei = yaml_input["package"]["datei"]
    package_datei_arg = yaml_input["package"]["arg"]
    print(package_datei)
    print(package_datei_arg)